on clicked theObject
	
	set AppleScript's text item delimiters to {","}
	set mathhost to contents of text field "mathhost" of view of tab view item "preferences" of tab view "main" of window "IsoPat2" as text
	set mathkernel to contents of text field "mathkernel" of view of tab view item "preferences" of tab view "main" of window "IsoPat2" as text
	set link to MathLink create with protocol "TCPIP"
	set linkName to first item of elements of link
	do shell script "/usr/bin/ssh " & mathhost & "" & space & "\"" & "'" & mathkernel & "'" & space & "-mathlink -linkmode connect -linkprotocol TCPIP" & space & "-linkname" & space & linkName & space & "> /dev/null 2>&1 &" & "\""
	MathLink activate link
	
	MathLink evaluate "
	<< LinearAlgebra`MatrixManipulation`
	a = {" & contents of text field "a" of view of tab view item "control" of tab view "main" of window "IsoPat2" & "};
	b = {" & contents of text field "b" of view of tab view item "control" of tab view "main" of window "IsoPat2" & "};
	a = Prepend[N[a/Total[a]*100], 0];
	b = Prepend[N[b/Total[b]*100], 0];  
	matrixsize = " & contents of text field "matrixsize" of view of tab view item "control" of tab view "main" of window "IsoPat2" & ";
	gap = " & contents of text field "gap" of view of tab view item "control" of tab view "main" of window "IsoPat2" & " ;
	A = Take[Reverse /@ HankelMatrix[Flatten[ZeroMatrix[1, Length[a]]], a], All, {1, Length[a], gap}];
	y = PseudoInverse[TakeColumns[A, matrixsize]].b*100;
	cy = TakeColumns[A, matrixsize].y/100;
	Ry = (b - cy).(b - cy);
	" on link
	
	set y to MathLink evaluate "y" on link
	set Ry to MathLink evaluate "Ry" on link
	set gap to MathLink evaluate "gap" on link
	MathLink close link
	
	set contents of text field "x" of view of tab view item "control" of tab view "main" of window "IsoPat2" to y as string
	set contents of text field "r2" of view of tab view item "control" of tab view "main" of window "IsoPat2" to Ry
	
	set AppleScript's text item delimiters to {""}
	
end clicked